AWebAbstractClipCommand.prototype = new AWebGraphicCommand();
AWebAbstractClipCommand.prototype.constructor = AWebAbstractClipCommand;
function AWebAbstractClipCommand(clipRegion) {
	AWebGraphicCommand.call(this);
	this.clipRegion = clipRegion;
}
function c0(clipRegion) { return new AWebAbstractClipCommand(clipRegion); }


AWebAbstractTransformCommand.prototype = new AWebGraphicCommand();
AWebAbstractTransformCommand.prototype.constructor = AWebAbstractTransformCommand;
function AWebAbstractTransformCommand(scaleX, scaleY, shearX, shearY, translateX, translateY) {
	AWebGraphicCommand.call(this);
	this.scaleX = scaleX;
	this.scaleY = scaleY;
	this.shearX = shearX;
	this.shearY = shearY;
	this.translateX = translateX;
	this.translateY = translateY;
}
function c1(scaleX, scaleY, shearX, shearY, translateX, translateY) { return new AWebAbstractTransformCommand(scaleX, scaleY, shearX, shearY, translateX, translateY); }


AWebAddClipCommand.prototype = new AWebAbstractClipCommand();
AWebAddClipCommand.prototype.constructor = AWebAddClipCommand;
function AWebAddClipCommand(clipRegion) {
	AWebAbstractClipCommand.call(this, clipRegion);
	this.clipRegion = clipRegion;
}
function c2(clipRegion) { return new AWebAddClipCommand(clipRegion); }


AWebAddTransformCommand.prototype = new AWebAbstractTransformCommand();
AWebAddTransformCommand.prototype.constructor = AWebAddTransformCommand;
function AWebAddTransformCommand(scaleX, scaleY, shearX, shearY, translateX, translateY) {
	AWebAbstractTransformCommand.call(this, scaleX, scaleY, shearX, shearY, translateX, translateY);
	this.scaleX = scaleX;
	this.scaleY = scaleY;
	this.shearX = shearX;
	this.shearY = shearY;
	this.translateX = translateX;
	this.translateY = translateY;
}
function c3(scaleX, scaleY, shearX, shearY, translateX, translateY) { return new AWebAddTransformCommand(scaleX, scaleY, shearX, shearY, translateX, translateY); }


AWebAlphaCompositeCommand.prototype = new AWebGraphicCommand();
AWebAlphaCompositeCommand.prototype.constructor = AWebAlphaCompositeCommand;
function AWebAlphaCompositeCommand(alpha) {
	AWebGraphicCommand.call(this);
	this.alpha = alpha;
}
function c4(alpha) { return new AWebAlphaCompositeCommand(alpha); }


AWebBrush.prototype = new Object();
AWebBrush.prototype.constructor = AWebBrush;
function AWebBrush() {
	Object.call(this);
}
function c5() { return new AWebBrush(); }


AWebBrushCommand.prototype = new AWebGraphicCommand();
AWebBrushCommand.prototype.constructor = AWebBrushCommand;
function AWebBrushCommand(brush) {
	AWebGraphicCommand.call(this);
	this.brush = brush;
}
function c6(brush) { return new AWebBrushCommand(brush); }


AWebCloseSegment.prototype = new AWebShapeSegment();
AWebCloseSegment.prototype.constructor = AWebCloseSegment;
function AWebCloseSegment() {
	AWebShapeSegment.call(this);
}
function c7() { return new AWebCloseSegment(); }


AWebCreateShapeCommand.prototype = new AWebGraphicCommand();
AWebCreateShapeCommand.prototype.constructor = AWebCreateShapeCommand;
function AWebCreateShapeCommand(shape) {
	AWebGraphicCommand.call(this);
	this.shape = shape;
}
function c8(shape) { return new AWebCreateShapeCommand(shape); }


AWebCubicToSegment.prototype = new AWebShapeSegment();
AWebCubicToSegment.prototype.constructor = AWebCubicToSegment;
function AWebCubicToSegment(point1x, point1y, point2x, point2y, point3x, point3y) {
	AWebShapeSegment.call(this);
	this.point1x = point1x;
	this.point1y = point1y;
	this.point2x = point2x;
	this.point2y = point2y;
	this.point3x = point3x;
	this.point3y = point3y;
}
function c9(point1x, point1y, point2x, point2y, point3x, point3y) { return new AWebCubicToSegment(point1x, point1y, point2x, point2y, point3x, point3y); }


AWebDrawCommand.prototype = new AWebGraphicCommand();
AWebDrawCommand.prototype.constructor = AWebDrawCommand;
function AWebDrawCommand() {
	AWebGraphicCommand.call(this);
}
function c10() { return new AWebDrawCommand(); }


AWebFillCommand.prototype = new AWebGraphicCommand();
AWebFillCommand.prototype.constructor = AWebFillCommand;
function AWebFillCommand() {
	AWebGraphicCommand.call(this);
}
function c11() { return new AWebFillCommand(); }


AWebFontCommand.prototype = new AWebGraphicCommand();
AWebFontCommand.prototype.constructor = AWebFontCommand;
function AWebFontCommand(fontName, bold, italic, size) {
	AWebGraphicCommand.call(this);
	this.fontName = fontName;
	this.bold = bold;
	this.italic = italic;
	this.size = size;
}
function c12(fontName, bold, italic, size) { return new AWebFontCommand(fontName, bold, italic, size); }


AWebGradientBrush.prototype = new AWebBrush();
AWebGradientBrush.prototype.constructor = AWebGradientBrush;
function AWebGradientBrush(color1, color2, point1x, point1y, point2x, point2y) {
	AWebBrush.call(this);
	this.color1 = color1;
	this.color2 = color2;
	this.point1x = point1x;
	this.point1y = point1y;
	this.point2x = point2x;
	this.point2y = point2y;
}
function c13(color1, color2, point1x, point1y, point2x, point2y) { return new AWebGradientBrush(color1, color2, point1x, point1y, point2x, point2y); }


AWebGraphic.prototype = new Object();
AWebGraphic.prototype.constructor = AWebGraphic;
function AWebGraphic(commands, x, y, width, height, logUnitsToPixel) {
	Object.call(this);
	this.commands = commands;
	this.x = x;
	this.y = y;
	this.width = width;
	this.height = height;
	this.logUnitsToPixel = logUnitsToPixel;
}
function c14(commands, x, y, width, height, logUnitsToPixel) { return new AWebGraphic(commands, x, y, width, height, logUnitsToPixel); }


AWebGraphicCommand.prototype = new Object();
AWebGraphicCommand.prototype.constructor = AWebGraphicCommand;
function AWebGraphicCommand() {
	Object.call(this);
}
function c15() { return new AWebGraphicCommand(); }


AWebGraphicSymbol.prototype = new Object();
AWebGraphicSymbol.prototype.constructor = AWebGraphicSymbol;
function AWebGraphicSymbol(commands, width, height) {
	Object.call(this);
	this.commands = commands;
	this.width = width;
	this.height = height;
}
function c16(commands, width, height) { return new AWebGraphicSymbol(commands, width, height); }


AWebGroupingCommand.prototype = new AWebGraphicCommand();
AWebGroupingCommand.prototype.constructor = AWebGroupingCommand;
function AWebGroupingCommand(bounds, commands) {
	AWebGraphicCommand.call(this);
	this.bounds = bounds;
	this.commands = commands;
}
function c17(bounds, commands) { return new AWebGroupingCommand(bounds, commands); }


AWebImage.prototype = new Object();
AWebImage.prototype.constructor = AWebImage;
function AWebImage(pngImage) {
	Object.call(this);
	this.pngImage = pngImage;
}
function c18(pngImage) { return new AWebImage(pngImage); }


AWebImageCommand.prototype = new AWebGraphicCommand();
AWebImageCommand.prototype.constructor = AWebImageCommand;
function AWebImageCommand(dx1, dy1, dx2, dy2, sx1, sy1, sx2, sy2, image) {
	AWebGraphicCommand.call(this);
	this.dx1 = dx1;
	this.dy1 = dy1;
	this.dx2 = dx2;
	this.dy2 = dy2;
	this.sx1 = sx1;
	this.sy1 = sy1;
	this.sx2 = sx2;
	this.sy2 = sy2;
	this.image = image;
}
function c19(dx1, dy1, dx2, dy2, sx1, sy1, sx2, sy2, image) { return new AWebImageCommand(dx1, dy1, dx2, dy2, sx1, sy1, sx2, sy2, image); }


AWebLineToSegment.prototype = new AWebShapeSegment();
AWebLineToSegment.prototype.constructor = AWebLineToSegment;
function AWebLineToSegment(pointx, pointy) {
	AWebShapeSegment.call(this);
	this.pointx = pointx;
	this.pointy = pointy;
}
function c20(pointx, pointy) { return new AWebLineToSegment(pointx, pointy); }


AWebMoveToSegment.prototype = new AWebShapeSegment();
AWebMoveToSegment.prototype.constructor = AWebMoveToSegment;
function AWebMoveToSegment(pointx, pointy) {
	AWebShapeSegment.call(this);
	this.pointx = pointx;
	this.pointy = pointy;
}
function c21(pointx, pointy) { return new AWebMoveToSegment(pointx, pointy); }


AWebPenCommand.prototype = new AWebGraphicCommand();
AWebPenCommand.prototype.constructor = AWebPenCommand;
function AWebPenCommand(width, style, color) {
	AWebGraphicCommand.call(this);
	this.width = width;
	this.style = style;
	this.color = color;
}
function c22(width, style, color) { return new AWebPenCommand(width, style, color); }




AWebPlaceSymbolCommand.prototype = new AWebGraphicCommand();
AWebPlaceSymbolCommand.prototype.constructor = AWebPlaceSymbolCommand;
function AWebPlaceSymbolCommand(positionx, positiony, symbol) {
	AWebGraphicCommand.call(this);
	this.positionx = positionx;
	this.positiony = positiony;
	this.symbol = symbol;
}
function c23(positionx, positiony, symbol) { return new AWebPlaceSymbolCommand(positionx, positiony, symbol); }


AWebSetClipCommand.prototype = new AWebAbstractClipCommand();
AWebSetClipCommand.prototype.constructor = AWebSetClipCommand;
function AWebSetClipCommand(clipRegion) {
	AWebAbstractClipCommand.call(this, clipRegion);
	this.clipRegion = clipRegion;
}
function c24(clipRegion) { return new AWebSetClipCommand(clipRegion); }


AWebSetTransformCommand.prototype = new AWebAbstractTransformCommand();
AWebSetTransformCommand.prototype.constructor = AWebSetTransformCommand;
function AWebSetTransformCommand(scaleX, scaleY, shearX, shearY, translateX, translateY) {
	AWebAbstractTransformCommand.call(this, scaleX, scaleY, shearX, shearY, translateX, translateY);
	this.scaleX = scaleX;
	this.scaleY = scaleY;
	this.shearX = shearX;
	this.shearY = shearY;
	this.translateX = translateX;
	this.translateY = translateY;
}
function c25(scaleX, scaleY, shearX, shearY, translateX, translateY) { return new AWebSetTransformCommand(scaleX, scaleY, shearX, shearY, translateX, translateY); }


AWebShape.prototype = new Object();
AWebShape.prototype.constructor = AWebShape;
function AWebShape(segments) {
	Object.call(this);
	this.segments = segments;
}
function c26(segments) { return new AWebShape(segments); }


AWebShapeSegment.prototype = new Object();
AWebShapeSegment.prototype.constructor = AWebShapeSegment;
function AWebShapeSegment() {
	Object.call(this);
}
function c27() { return new AWebShapeSegment(); }


AWebSolidColorBrush.prototype = new AWebBrush();
AWebSolidColorBrush.prototype.constructor = AWebSolidColorBrush;
function AWebSolidColorBrush(color) {
	AWebBrush.call(this);
	this.color = color;
}
function c28(color) { return new AWebSolidColorBrush(color); }


AWebTextCommand.prototype = new AWebGraphicCommand();
AWebTextCommand.prototype.constructor = AWebTextCommand;
function AWebTextCommand(text, positionx, positiony) {
	AWebGraphicCommand.call(this);
	this.text = text;
	this.positionx = positionx;
	this.positiony = positiony;
}
function c29(text, positionx, positiony) { return new AWebTextCommand(text, positionx, positiony); }


AWebTransparentBrush.prototype = new AWebBrush();
AWebTransparentBrush.prototype.constructor = AWebTransparentBrush;
function AWebTransparentBrush() {
	AWebBrush.call(this);
}
function c30() { return new AWebTransparentBrush(); }


var SOLID = 0;
var DASHED = 1;
var DOTTED = 2;

function create_shape0() {
var segments = [
c21(2315,793),c20(2315,1317),c9(2315,1317,2315,1317,2315,1317),c20(3849,1317),c9(3849,1317,3849,1317,3849,1317),c20(3849,793),c9(3849,793,3849,793,3849,793),c20(2315,793),c9(2315,793,2315,793,2315,793),c7()];
return c26(segments);
}

function create_shape1() {
var segments = [
c21(45,15),c9(45,23.2842,34.9264,30,22.5000,30),c9(10.735,30,0,23.2842,0,15),c9(0,6.7157,10.735,0,22.5000,0),c9(34.9264,0,45,6.7157,45,15),c7()];
return c26(segments);
}

function create_shape2() {
var segments = [
c21(27,13.5000),c9(27,20.9558,20.9558,27,13.5000,27),c9(6.441,27,0,20.9558,0,13.5000),c9(0,6.441,6.441,0,13.5000,0),c9(20.9558,0,27,6.441,27,13.5000),c7()];
return c26(segments);
}

function create_shape3() {
var segments = [
c21(-40000,-40000),c20(40000,-40000),c20(40000,40000),c20(-40000,40000),c20(-40000,-40000),c7()];
return c26(segments);
}

function create_shape4() {
var segments = [
c21(25,13),c9(25,20.1797,19.4035,26,12.5000,26),c9(5.5964,26,0,20.1797,0,13),c9(0,5.8202,5.5964,0,12.5000,0),c9(19.4035,0,25,5.8202,25,13),c7()];
return c26(segments);
}

function create_shape5() {
var segments = [
c21(2313,1312),c20(2313,1836),c9(2313,1836,2313,1836,2313,1836),c20(3847,1836),c9(3847,1836,3847,1836,3847,1836),c20(3847,1312),c9(3847,1312,3847,1312,3847,1312),c20(2313,1312),c9(2313,1312,2313,1312,2313,1312),c7()];
return c26(segments);
}

function create_shape6() {
var segments = [
c21(33,15.5000),c9(33,24.604,25.6126,31,16.5000,31),c9(7.3873,31,0,24.604,0,15.5000),c9(0,6.9395,7.3873,0,16.5000,0),c9(25.6126,0,33,6.9395,33,15.5000),c7()];
return c26(segments);
}

function create_shape7() {
var segments = [
c21(46,11),c9(46,17.751,35.7025,22,23,22),c9(10.2974,22,0,17.751,0,11),c9(0,4.9248,10.2974,0,23,0),c9(35.7025,0,46,4.9248,46,11),c7()];
return c26(segments);
}

function create_shape8() {
var segments = [
c21(27,15),c9(27,23.2842,20.9558,30,13.5000,30),c9(6.441,30,0,23.2842,0,15),c9(0,6.7157,6.441,0,13.5000,0),c9(20.9558,0,27,6.7157,27,15),c7()];
return c26(segments);
}

function create_shape9() {
var segments = [
c21(29,14),c9(29,21.7319,22.5081,28,14.5000,28),c9(6.4918,28,0,21.7319,0,14),c9(0,6.2680,6.4918,0,14.5000,0),c9(22.5081,0,29,6.2680,29,14),c7()];
return c26(segments);
}

function create_shape10() {
var segments = [
c21(0,0),c20(1534,0),c20(1534,1566),c20(0,1566),c20(0,0),c7()];
return c26(segments);
}

function createShapes() {
	shape0 = create_shape0();
	rememberShape('shape0', shape0);
	shape1 = create_shape1();
	rememberShape('shape1', shape1);
	shape2 = create_shape2();
	rememberShape('shape2', shape2);
	shape3 = create_shape3();
	rememberShape('shape3', shape3);
	shape4 = create_shape4();
	rememberShape('shape4', shape4);
	shape5 = create_shape5();
	rememberShape('shape5', shape5);
	shape6 = create_shape6();
	rememberShape('shape6', shape6);
	shape7 = create_shape7();
	rememberShape('shape7', shape7);
	shape8 = create_shape8();
	rememberShape('shape8', shape8);
	shape9 = create_shape9();
	rememberShape('shape9', shape9);
	shape10 = create_shape10();
	rememberShape('shape10', shape10);
}

function createImages() {

}

function create_s0() {
var commands = [c6(c28('#000000')),c8(shape8),c11(),c22(5, SOLID, '#000000'),c10()];
return c16(commands,27,30);
}

function create_s1() {
var commands = [c6(c28('#000000')),c8(shape1),c11(),c22(5, SOLID, '#000000'),c10()];
return c16(commands,45,30);
}

function create_s2() {
var commands = [c6(c28('#000000')),c8(shape4),c11(),c22(5, SOLID, '#000000'),c10()];
return c16(commands,25,26);
}

function create_s3() {
var commands = [c6(c28('#000000')),c8(shape6),c11(),c22(5, SOLID, '#000000'),c10()];
return c16(commands,33,31);
}

function create_s4() {
var commands = [c6(c28('#000000')),c8(shape9),c11(),c22(5, SOLID, '#000000'),c10()];
return c16(commands,29,28);
}

function create_s5() {
var commands = [c6(c28('#000000')),c8(shape2),c11(),c22(5, SOLID, '#000000'),c10()];
return c16(commands,27,27);
}

function create_s6() {
var commands = [c6(c28('#ff9900')),c8(shape10),c11(),c22(1, SOLID, '#000000'),c10()];
return c16(commands,1534,1566);
}

function create_s7() {
var commands = [c6(c28('#000000')),c8(shape2),c11(),c22(1, SOLID, '#000000'),c10()];
return c16(commands,27,27);
}

function create_s8() {
var commands = [c6(c28('#000000')),c8(shape7),c11(),c22(5, SOLID, '#000000'),c10()];
return c16(commands,46,22);
}


function buildGraphic() {

	createImages();

	createShapes();
var s0 = create_s0();
rememberSymbol(s0);
var s1 = create_s1();
rememberSymbol(s1);
var s2 = create_s2();
rememberSymbol(s2);
var s3 = create_s3();
rememberSymbol(s3);
var s5 = create_s5();
rememberSymbol(s5);
var s4 = create_s4();
rememberSymbol(s4);
var s6 = create_s6();
rememberSymbol(s6);
var s8 = create_s8();
rememberSymbol(s8);
var s7 = create_s7();
rememberSymbol(s7);

var commands = [c6(c28('#670728')),c8(shape3),c11(),c6(c28('#000000')),c17(new Rectangle(2316, 268, 1534, 1567), [c23(2316, 268, s6)]),c17(new Rectangle(2313, 1312, 1534, 524), [c6(c28('#00cc00')),c8(shape5),c11(),c22(1, SOLID, '#000000'),c10()]),c17(new Rectangle(2315, 793, 1534, 524), [c6(c28('#ffffff')),c8(shape0),c11(),c22(1, SOLID, '#000000'),c10()]),c17(new Rectangle(3555, 664, 27, 27), [c23(3555, 664, s5)]),c17(new Rectangle(3560, 635, 27, 27), [c23(3560, 635, s5)]),c17(new Rectangle(3552, 602, 27, 27), [c23(3552, 602, s5)]),c17(new Rectangle(3535, 575, 27, 27), [c23(3535, 575, s5)]),c17(new Rectangle(3520, 548, 27, 27), [c23(3520, 548, s5)]),c17(new Rectangle(3504, 526, 27, 27), [c23(3504, 526, s5)]),c17(new Rectangle(3476, 526, 27, 27), [c23(3476, 526, s5)]),c17(new Rectangle(3493, 503, 27, 27), [c23(3493, 503, s5)]),c17(new Rectangle(3499, 537, 27, 27), [c23(3499, 537, s5)]),c17(new Rectangle(3453, 520, 27, 27), [c23(3453, 520, s5)]),c17(new Rectangle(3462, 503, 27, 27), [c23(3462, 503, s5)]),c17(new Rectangle(3470, 495, 27, 27), [c23(3470, 495, s5)]),c17(new Rectangle(3431, 506, 27, 27), [c23(3431, 506, s5)]),c17(new Rectangle(3448, 483, 27, 27), [c23(3448, 483, s5)]),c17(new Rectangle(3484, 484, 27, 27), [c23(3484, 484, s5)]),c17(new Rectangle(3408, 489, 27, 27), [c23(3408, 489, s5)]),c17(new Rectangle(3425, 480, 27, 27), [c23(3425, 480, s5)]),c17(new Rectangle(3437, 467, 27, 27), [c23(3437, 467, s5)]),c17(new Rectangle(3470, 464, 27, 27), [c23(3470, 464, s5)]),c17(new Rectangle(3391, 472, 27, 27), [c23(3391, 472, s5)]),c17(new Rectangle(3405, 461, 27, 27), [c23(3405, 461, s5)]),c17(new Rectangle(3420, 453, 27, 27), [c23(3420, 453, s5)]),c17(new Rectangle(3443, 444, 27, 27), [c23(3443, 444, s5)]),c17(new Rectangle(3377, 450, 27, 27), [c23(3377, 450, s5)]),c17(new Rectangle(3406, 436, 27, 27), [c23(3406, 436, s5)]),c17(new Rectangle(3431, 427, 27, 27), [c23(3431, 427, s5)]),c17(new Rectangle(3360, 433, 27, 27), [c23(3360, 433, s5)]),c17(new Rectangle(3380, 419, 27, 27), [c23(3380, 419, s5)]),c17(new Rectangle(3411, 408, 27, 27), [c23(3411, 408, s5)]),c17(new Rectangle(3355, 377, 27, 27), [c23(3355, 377, s5)]),c17(new Rectangle(3383, 391, 27, 27), [c23(3383, 391, s5)]),c17(new Rectangle(3358, 402, 27, 27), [c23(3358, 402, s5)]),c17(new Rectangle(3335, 405, 27, 27), [c23(3335, 405, s5)]),c17(new Rectangle(3346, 416, 27, 27), [c23(3346, 416, s5)]),c17(new Rectangle(3329, 385, 27, 27), [c23(3329, 385, s5)]),c17(new Rectangle(3329, 362, 27, 27), [c23(3329, 362, s5)]),c17(new Rectangle(3310, 343, 27, 27), [c23(3310, 343, s5)]),c17(new Rectangle(3279, 329, 27, 27), [c23(3279, 329, s5)]),c17(new Rectangle(3253, 312, 27, 27), [c23(3253, 312, s5)]),c17(new Rectangle(3222, 303, 27, 27), [c23(3222, 303, s5)]),c17(new Rectangle(3191, 297, 27, 27), [c23(3191, 297, s5)]),c17(new Rectangle(3558, 791, 27, 27), [c23(3558, 791, s5)]),c17(new Rectangle(3572, 802, 27, 27), [c23(3572, 802, s5)]),c17(new Rectangle(3581, 768, 27, 27), [c23(3581, 768, s5)]),c17(new Rectangle(3594, 797, 27, 27), [c23(3594, 797, s5)]),c17(new Rectangle(3609, 763, 27, 27), [c23(3609, 763, s5)]),c17(new Rectangle(3631, 766, 33, 31), [c23(3631, 766, s3)]),c17(new Rectangle(3652, 783, 29, 28), [c23(3652, 783, s4)]),c17(new Rectangle(3674, 803, 27, 27), [c23(3674, 803, s5)]),c17(new Rectangle(3673, 932, 27, 27), [c23(3673, 932, s5)]),c17(new Rectangle(3655, 950, 27, 27), [c23(3655, 950, s5)]),c17(new Rectangle(3546, 923, 27, 27), [c23(3546, 923, s5)]),c17(new Rectangle(3507, 791, 27, 27), [c23(3507, 791, s5)]),c17(new Rectangle(3524, 783, 27, 27), [c23(3524, 783, s5)]),c17(new Rectangle(3490, 799, 27, 27), [c23(3490, 799, s5)]),c17(new Rectangle(3510, 814, 27, 27), [c23(3510, 814, s5)]),c17(new Rectangle(3524, 814, 27, 27), [c23(3524, 814, s5)]),c17(new Rectangle(3521, 845, 27, 27), [c23(3521, 845, s5)]),c17(new Rectangle(3541, 842, 27, 27), [c23(3541, 842, s5)]),c17(new Rectangle(3532, 873, 27, 27), [c23(3532, 873, s5)]),c17(new Rectangle(3549, 870, 27, 27), [c23(3549, 870, s5)]),c17(new Rectangle(3544, 898, 27, 27), [c23(3544, 898, s5)]),c17(new Rectangle(3558, 898, 27, 27), [c23(3558, 898, s5)]),c17(new Rectangle(3566, 921, 27, 27), [c23(3566, 921, s5)]),c17(new Rectangle(3558, 946, 27, 27), [c23(3558, 946, s5)]),c17(new Rectangle(3575, 946, 27, 27), [c23(3575, 946, s5)]),c17(new Rectangle(3572, 974, 27, 27), [c23(3572, 974, s5)]),c17(new Rectangle(3586, 972, 27, 27), [c23(3586, 972, s5)]),c17(new Rectangle(3583, 1003, 27, 27), [c23(3583, 1003, s5)]),c17(new Rectangle(3594, 1003, 27, 27), [c23(3594, 1003, s5)]),c17(new Rectangle(3592, 1034, 27, 27), [c23(3592, 1034, s5)]),c17(new Rectangle(3606, 1031, 27, 27), [c23(3606, 1031, s5)]),c17(new Rectangle(3623, 1050, 27, 27), [c23(3623, 1050, s5)]),c17(new Rectangle(3597, 1065, 27, 27), [c23(3597, 1065, s5)]),c17(new Rectangle(3631, 1070, 27, 27), [c23(3631, 1070, s5)]),c17(new Rectangle(3612, 1088, 27, 27), [c23(3612, 1088, s5)]),c17(new Rectangle(3600, 1132, 27, 27), [c23(3600, 1132, s5)]),c17(new Rectangle(3584, 1152, 27, 27), [c23(3584, 1152, s5)]),c17(new Rectangle(3603, 1112, 27, 27), [c23(3603, 1112, s5)]),c17(new Rectangle(3555, 1130, 27, 27), [c23(3555, 1130, s5)]),c17(new Rectangle(3637, 1099, 27, 27), [c23(3637, 1099, s5)]),c17(new Rectangle(3580, 1124, 27, 27), [c23(3580, 1124, s5)]),c17(new Rectangle(3622, 1123, 27, 27), [c23(3622, 1123, s5)]),c17(new Rectangle(3530, 1133, 27, 27), [c23(3530, 1133, s5)]),c17(new Rectangle(3555, 1141, 27, 27), [c23(3555, 1141, s5)]),c17(new Rectangle(3538, 1154, 27, 27), [c23(3538, 1154, s5)]),c17(new Rectangle(3557, 1160, 27, 27), [c23(3557, 1160, s5)]),c17(new Rectangle(3601, 1141, 27, 27), [c23(3601, 1141, s5)]),c17(new Rectangle(3501, 1135, 27, 27), [c23(3501, 1135, s5)]),c17(new Rectangle(3514, 1149, 27, 27), [c23(3514, 1149, s5)]),c17(new Rectangle(3446, 813, 27, 27), [c23(3446, 813, s5)]),c17(new Rectangle(3476, 1134, 27, 27), [c23(3476, 1134, s5)]),c17(new Rectangle(3392, 915, 27, 27), [c23(3392, 915, s5)]),c17(new Rectangle(3381, 830, 27, 27), [c23(3381, 830, s5)]),c17(new Rectangle(3406, 818, 27, 27), [c23(3406, 818, s5)]),c17(new Rectangle(3426, 817, 27, 27), [c23(3426, 817, s5)]),c17(new Rectangle(3391, 861, 27, 27), [c23(3391, 861, s5)]),c17(new Rectangle(3391, 887, 27, 27), [c23(3391, 887, s5)]),c17(new Rectangle(3392, 946, 27, 27), [c23(3392, 946, s5)]),c17(new Rectangle(3387, 970, 27, 30), [c23(3387, 970, s0)]),c17(new Rectangle(3634, 965, 27, 27), [c23(3634, 965, s5)]),c17(new Rectangle(3211, 821, 27, 27), [c23(3211, 821, s5)]),c17(new Rectangle(3182, 863, 27, 27), [c23(3182, 863, s5)]),c17(new Rectangle(3323, 785, 27, 27), [c23(3323, 785, s5)]),c17(new Rectangle(3230, 803, 27, 27), [c23(3230, 803, s5)]),c17(new Rectangle(3362, 810, 27, 27), [c23(3362, 810, s5)]),c17(new Rectangle(3195, 839, 27, 27), [c23(3195, 839, s5)]),c17(new Rectangle(3250, 790, 27, 27), [c23(3250, 790, s5)]),c17(new Rectangle(3373, 993, 27, 27), [c23(3373, 993, s5)]),c17(new Rectangle(3300, 784, 27, 27), [c23(3300, 784, s5)]),c17(new Rectangle(3179, 890, 27, 27), [c23(3179, 890, s5)]),c17(new Rectangle(3277, 783, 27, 27), [c23(3277, 783, s5)]),c17(new Rectangle(3344, 798, 27, 27), [c23(3344, 798, s5)]),c17(new Rectangle(3354, 1012, 27, 27), [c23(3354, 1012, s5)]),c17(new Rectangle(3324, 1019, 27, 27), [c23(3324, 1019, s5)]),c17(new Rectangle(3341, 1348, 27, 27), [c23(3341, 1348, s5)]),c17(new Rectangle(3691, 844, 27, 27), [c23(3691, 844, s5)]),c17(new Rectangle(3270, 1018, 27, 27), [c23(3270, 1018, s5)]),c17(new Rectangle(3298, 1024, 27, 27), [c23(3298, 1024, s5)]),c17(new Rectangle(3244, 1007, 27, 27), [c23(3244, 1007, s5)]),c17(new Rectangle(3222, 990, 27, 27), [c23(3222, 990, s5)]),c17(new Rectangle(3688, 820, 27, 27), [c23(3688, 820, s5)]),c17(new Rectangle(3695, 874, 27, 27), [c23(3695, 874, s5)]),c17(new Rectangle(3471, 1300, 27, 27), [c23(3471, 1300, s5)]),c17(new Rectangle(3356, 1342, 27, 27), [c23(3356, 1342, s5)]),c17(new Rectangle(3448, 1303, 27, 27), [c23(3448, 1303, s5)]),c17(new Rectangle(3426, 1308, 27, 27), [c23(3426, 1308, s5)]),c17(new Rectangle(3403, 1320, 27, 27), [c23(3403, 1320, s5)]),c17(new Rectangle(3552, 1292, 27, 27), [c23(3552, 1292, s5)]),c17(new Rectangle(3497, 1297, 27, 27), [c23(3497, 1297, s5)]),c17(new Rectangle(3572, 1258, 27, 27), [c23(3572, 1258, s5)]),c17(new Rectangle(3381, 1331, 27, 27), [c23(3381, 1331, s5)]),c17(new Rectangle(3525, 1294, 27, 27), [c23(3525, 1294, s5)]),c17(new Rectangle(3573, 1283, 27, 27), [c23(3573, 1283, s5)]),c17(new Rectangle(3587, 1277, 27, 27), [c23(3587, 1277, s5)]),c17(new Rectangle(3558, 1243, 27, 27), [c23(3558, 1243, s5)]),c17(new Rectangle(3395, 1302, 27, 27), [c23(3395, 1302, s5)]),c17(new Rectangle(3530, 1252, 27, 27), [c23(3530, 1252, s5)]),c17(new Rectangle(3550, 1255, 27, 27), [c23(3550, 1255, s5)]),c17(new Rectangle(3516, 1275, 27, 27), [c23(3516, 1275, s5)]),c17(new Rectangle(3493, 1283, 27, 27), [c23(3493, 1283, s5)]),c17(new Rectangle(3488, 1241, 27, 27), [c23(3488, 1241, s5)]),c17(new Rectangle(3561, 1274, 27, 27), [c23(3561, 1274, s5)]),c17(new Rectangle(3513, 1232, 27, 27), [c23(3513, 1232, s5)]),c17(new Rectangle(3349, 1326, 27, 27), [c23(3349, 1326, s5)]),c17(new Rectangle(3424, 1288, 27, 27), [c23(3424, 1288, s5)]),c17(new Rectangle(3471, 1285, 27, 27), [c23(3471, 1285, s5)]),c17(new Rectangle(3446, 1289, 27, 27), [c23(3446, 1289, s5)]),c17(new Rectangle(3372, 1312, 27, 27), [c23(3372, 1312, s5)]),c17(new Rectangle(3541, 1230, 27, 27), [c23(3541, 1230, s5)]),c17(new Rectangle(3539, 1278, 27, 27), [c23(3539, 1278, s5)]),c17(new Rectangle(3404, 1292, 27, 27), [c23(3404, 1292, s5)]),c17(new Rectangle(3505, 1258, 27, 27), [c23(3505, 1258, s5)]),c17(new Rectangle(3468, 1246, 27, 27), [c23(3468, 1246, s5)]),c17(new Rectangle(3480, 1272, 27, 27), [c23(3480, 1272, s5)]),c17(new Rectangle(3454, 1269, 27, 27), [c23(3454, 1269, s5)]),c17(new Rectangle(3593, 1334, 46, 22), [c23(3593, 1334, s8)]),c17(new Rectangle(3578, 1398, 27, 27), [c23(3578, 1398, s5)]),c17(new Rectangle(3497, 1343, 27, 27), [c23(3497, 1343, s5)]),c17(new Rectangle(3568, 1337, 27, 27), [c23(3568, 1337, s5)]),c17(new Rectangle(3566, 1376, 27, 27), [c23(3566, 1376, s5)]),c17(new Rectangle(3598, 1355, 27, 27), [c23(3598, 1355, s5)]),c17(new Rectangle(3579, 1369, 27, 27), [c23(3579, 1369, s5)]),c17(new Rectangle(3547, 1342, 27, 27), [c23(3547, 1342, s5)]),c17(new Rectangle(3522, 1341, 27, 27), [c23(3522, 1341, s5)]),c17(new Rectangle(3426, 1272, 27, 27), [c23(3426, 1272, s5)]),c17(new Rectangle(3446, 1258, 27, 27), [c23(3446, 1258, s5)]),c17(new Rectangle(3383, 1297, 27, 27), [c23(3383, 1297, s5)]),c17(new Rectangle(3407, 1282, 27, 27), [c23(3407, 1282, s5)]),c17(new Rectangle(3621, 1534, 27, 27), [c23(3621, 1534, s5)]),c17(new Rectangle(3587, 1445, 27, 27), [c23(3587, 1445, s5)]),c17(new Rectangle(3576, 1421, 27, 27), [c23(3576, 1421, s5)]),c17(new Rectangle(3629, 1588, 27, 27), [c23(3629, 1588, s5)]),c17(new Rectangle(3606, 1490, 27, 27), [c23(3606, 1490, s5)]),c17(new Rectangle(3607, 1597, 27, 27), [c23(3607, 1597, s5)]),c17(new Rectangle(3510, 1589, 27, 27), [c23(3510, 1589, s5)]),c17(new Rectangle(3559, 1598, 27, 27), [c23(3559, 1598, s5)]),c17(new Rectangle(3536, 1591, 27, 27), [c23(3536, 1591, s5)]),c17(new Rectangle(3597, 1467, 27, 27), [c23(3597, 1467, s5)]),c17(new Rectangle(3630, 1558, 27, 27), [c23(3630, 1558, s5)]),c17(new Rectangle(3611, 1510, 27, 27), [c23(3611, 1510, s5)]),c17(new Rectangle(3588, 1599, 27, 27), [c23(3588, 1599, s5)]),c17(new Rectangle(3389, 1577, 45, 30), [c23(3389, 1577, s1)]),c17(new Rectangle(3314, 1591, 27, 27), [c23(3314, 1591, s5)]),c17(new Rectangle(3484, 1585, 27, 27), [c23(3484, 1585, s5)]),c17(new Rectangle(3289, 1600, 27, 27), [c23(3289, 1600, s5)]),c17(new Rectangle(3339, 1586, 27, 27), [c23(3339, 1586, s5)]),c17(new Rectangle(3266, 1616, 27, 27), [c23(3266, 1616, s5)]),c17(new Rectangle(3369, 1582, 27, 27), [c23(3369, 1582, s5)]),c17(new Rectangle(3429, 1580, 27, 27), [c23(3429, 1580, s5)]),c17(new Rectangle(3458, 1582, 27, 27), [c23(3458, 1582, s5)]),c17(new Rectangle(3218, 1648, 27, 27), [c23(3218, 1648, s5)]),c17(new Rectangle(3201, 1658, 27, 27), [c23(3201, 1658, s5)]),c17(new Rectangle(3240, 1631, 27, 27), [c23(3240, 1631, s5)]),c17(new Rectangle(2770, 829, 27, 27), [c23(2770, 829, s5)]),c17(new Rectangle(3131, 1735, 27, 27), [c23(3131, 1735, s5)]),c17(new Rectangle(3164, 1685, 27, 27), [c23(3164, 1685, s5)]),c17(new Rectangle(2826, 850, 27, 27), [c23(2826, 850, s5)]),c17(new Rectangle(3111, 1783, 27, 27), [c23(3111, 1783, s5)]),c17(new Rectangle(3182, 1673, 27, 27), [c23(3182, 1673, s5)]),c17(new Rectangle(3614, 1580, 27, 27), [c23(3614, 1580, s5)]),c17(new Rectangle(3122, 1761, 27, 27), [c23(3122, 1761, s5)]),c17(new Rectangle(3158, 1701, 27, 27), [c23(3158, 1701, s5)]),c17(new Rectangle(2798, 842, 27, 27), [c23(2798, 842, s5)]),c17(new Rectangle(3147, 1716, 27, 27), [c23(3147, 1716, s5)]),c17(new Rectangle(2990, 898, 27, 27), [c23(2990, 898, s5)]),c17(new Rectangle(3075, 917, 27, 27), [c23(3075, 917, s5)]),c17(new Rectangle(2937, 889, 27, 27), [c23(2937, 889, s5)]),c17(new Rectangle(3074, 940, 27, 27), [c23(3074, 940, s5)]),c17(new Rectangle(3067, 909, 27, 27), [c23(3067, 909, s5)]),c17(new Rectangle(3054, 943, 27, 27), [c23(3054, 943, s5)]),c17(new Rectangle(2880, 873, 27, 27), [c23(2880, 873, s5)]),c17(new Rectangle(3015, 902, 27, 27), [c23(3015, 902, s5)]),c17(new Rectangle(3101, 917, 27, 27), [c23(3101, 917, s5)]),c17(new Rectangle(2962, 892, 27, 27), [c23(2962, 892, s5)]),c17(new Rectangle(2905, 881, 27, 27), [c23(2905, 881, s5)]),c17(new Rectangle(2851, 861, 27, 27), [c23(2851, 861, s5)]),c17(new Rectangle(3040, 908, 27, 27), [c23(3040, 908, s5)]),c17(new Rectangle(3097, 943, 27, 27), [c23(3097, 943, s5)]),c17(new Rectangle(3124, 919, 27, 27), [c23(3124, 919, s5)]),c17(new Rectangle(3004, 921, 27, 27), [c23(3004, 921, s5)]),c17(new Rectangle(3004, 940, 27, 27), [c23(3004, 940, s5)]),c17(new Rectangle(2716, 813, 27, 27), [c23(2716, 813, s5)]),c17(new Rectangle(2832, 872, 27, 27), [c23(2832, 872, s5)]),c17(new Rectangle(3029, 935, 27, 27), [c23(3029, 935, s5)]),c17(new Rectangle(2741, 822, 27, 27), [c23(2741, 822, s5)]),c17(new Rectangle(3049, 926, 27, 27), [c23(3049, 926, s5)]),c17(new Rectangle(2904, 921, 27, 27), [c23(2904, 921, s5)]),c17(new Rectangle(2905, 898, 27, 27), [c23(2905, 898, s5)]),c17(new Rectangle(2956, 912, 27, 27), [c23(2956, 912, s5)]),c17(new Rectangle(2856, 878, 27, 27), [c23(2856, 878, s5)]),c17(new Rectangle(2984, 912, 27, 27), [c23(2984, 912, s5)]),c17(new Rectangle(2978, 935, 27, 27), [c23(2978, 935, s5)]),c17(new Rectangle(3120, 946, 27, 27), [c23(3120, 946, s5)]),c17(new Rectangle(3114, 969, 27, 27), [c23(3114, 969, s5)]),c17(new Rectangle(2804, 862, 27, 27), [c23(2804, 862, s5)]),c17(new Rectangle(2880, 889, 27, 27), [c23(2880, 889, s5)]),c17(new Rectangle(2826, 886, 27, 27), [c23(2826, 886, s5)]),c17(new Rectangle(3010, 949, 27, 27), [c23(3010, 949, s5)]),c17(new Rectangle(2714, 839, 27, 27), [c23(2714, 839, s5)]),c17(new Rectangle(3089, 968, 27, 27), [c23(3089, 968, s5)]),c17(new Rectangle(2956, 931, 27, 27), [c23(2956, 931, s5)]),c17(new Rectangle(2755, 852, 27, 27), [c23(2755, 852, s5)]),c17(new Rectangle(3066, 965, 27, 27), [c23(3066, 965, s5)]),c17(new Rectangle(2927, 923, 27, 27), [c23(2927, 923, s5)]),c17(new Rectangle(2854, 900, 27, 27), [c23(2854, 900, s5)]),c17(new Rectangle(2883, 910, 27, 27), [c23(2883, 910, s5)]),c17(new Rectangle(2778, 862, 27, 27), [c23(2778, 862, s5)]),c17(new Rectangle(3038, 957, 27, 27), [c23(3038, 957, s5)]),c17(new Rectangle(2734, 847, 27, 27), [c23(2734, 847, s5)]),c17(new Rectangle(2801, 881, 27, 27), [c23(2801, 881, s5)]),c17(new Rectangle(2883, 873, 27, 27), [c23(2883, 873, s5)]),c17(new Rectangle(2654, 1112, 27, 27), [c23(2654, 1112, s5)]),c17(new Rectangle(2644, 1189, 27, 27), [c23(2644, 1189, s5)]),c17(new Rectangle(2627, 1066, 27, 27), [c23(2627, 1066, s5)]),c17(new Rectangle(2643, 1092, 27, 27), [c23(2643, 1092, s5)]),c17(new Rectangle(2653, 1163, 27, 27), [c23(2653, 1163, s5)]),c17(new Rectangle(2649, 1134, 27, 27), [c23(2649, 1134, s5)]),c17(new Rectangle(2638, 813, 27, 27), [c23(2638, 813, s5)]),c17(new Rectangle(2688, 823, 27, 27), [c23(2688, 823, s5)]),c17(new Rectangle(2663, 815, 27, 27), [c23(2663, 815, s5)]),c17(new Rectangle(2607, 1036, 27, 27), [c23(2607, 1036, s5)]),c17(new Rectangle(3304, 1399, 27, 27), [c23(3304, 1399, s5)]),c17(new Rectangle(3334, 1413, 27, 27), [c23(3334, 1413, s5)]),c17(new Rectangle(3287, 1376, 27, 27), [c23(3287, 1376, s5)]),c17(new Rectangle(2641, 1217, 27, 27), [c23(2641, 1217, s5)]),c17(new Rectangle(3282, 1353, 27, 27), [c23(3282, 1353, s5)]),c17(new Rectangle(3287, 1330, 27, 27), [c23(3287, 1330, s5)]),c17(new Rectangle(3299, 1308, 27, 27), [c23(3299, 1308, s5)]),c17(new Rectangle(2466, 766, 27, 27), [c23(2466, 766, s5)]),c17(new Rectangle(3413, 1122, 25, 26), [c23(3413, 1122, s2)]),c17(new Rectangle(2410, 825, 27, 27), [c23(2410, 825, s5)]),c17(new Rectangle(3403, 1144, 27, 27), [c23(3403, 1144, s5)]),c17(new Rectangle(2554, 808, 27, 27), [c23(2554, 808, s5)]),c17(new Rectangle(2492, 763, 27, 27), [c23(2492, 763, s5)]),c17(new Rectangle(2526, 780, 27, 27), [c23(2526, 780, s5)]),c17(new Rectangle(2439, 775, 27, 27), [c23(2439, 775, s5)]),c17(new Rectangle(3427, 1093, 27, 27), [c23(3427, 1093, s5)]),c17(new Rectangle(2420, 797, 27, 27), [c23(2420, 797, s5)]),c17(new Rectangle(2406, 851, 27, 27), [c23(2406, 851, s5)]),c17(new Rectangle(2565, 839, 27, 27), [c23(2565, 839, s5)]),c17(new Rectangle(3391, 1172, 27, 27), [c23(3391, 1172, s5)]),c17(new Rectangle(2921, 913, 27, 27), [c23(2921, 913, s7)]),c17(new Rectangle(2444, 941, 27, 27), [c23(2444, 941, s5)]),c17(new Rectangle(2416, 882, 27, 27), [c23(2416, 882, s5)]),c17(new Rectangle(3471, 811, 27, 27), [c23(3471, 811, s5)]),c17(new Rectangle(3162, 292, 27, 27), [c23(3162, 292, s5)]),c17(new Rectangle(2433, 913, 27, 27), [c23(2433, 913, s5)]),c17(new Rectangle(3132, 290, 27, 27), [c23(3132, 290, s5)]),c17(new Rectangle(2512, 768, 27, 27), [c23(2512, 768, s7)]),c17(new Rectangle(3068, 290, 27, 27), [c23(3068, 290, s5)]),c17(new Rectangle(2932, 907, 27, 27), [c23(2932, 907, s7)]),c17(new Rectangle(2778, 848, 27, 27), [c23(2778, 848, s7)]),c17(new Rectangle(3023, 921, 27, 27), [c23(3023, 921, s7)]),c17(new Rectangle(2546, 795, 27, 27), [c23(2546, 795, s7)]),c17(new Rectangle(3098, 290, 27, 27), [c23(3098, 290, s5)]),c17(new Rectangle(3036, 293, 27, 27), [c23(3036, 293, s5)]),c17(new Rectangle(2563, 825, 27, 27), [c23(2563, 825, s7)]),c17(new Rectangle(3385, 442, 27, 27), [c23(3385, 442, s7)]),c17(new Rectangle(2426, 900, 27, 27), [c23(2426, 900, s7)]),c17(new Rectangle(3458, 456, 27, 27), [c23(3458, 456, s7)]),c17(new Rectangle(2621, 1054, 27, 27), [c23(2621, 1054, s7)]),c17(new Rectangle(3396, 417, 27, 27), [c23(3396, 417, s7)]),c17(new Rectangle(3608, 1058, 27, 27), [c23(3608, 1058, s7)]),c17(new Rectangle(3620, 1106, 27, 27), [c23(3620, 1106, s7)]),c17(new Rectangle(3056, 293, 27, 27), [c23(3056, 293, s7)]),c17(new Rectangle(3119, 288, 27, 27), [c23(3119, 288, s7)])];
	return new AWebGraphic(commands, 0, 0, 3850, 1836, 0.2954);
}
function Point(x,y) {
    this.x = x;
    this.y = y;
}

function Dimension(width, height) {
    this.width = width;
    this.height = height;
}

function Rectangle(x, y, width, height) {
    this.x = x;
    this.y = y;
    this.width = width;
    this.height = height;
}

function ModelDataVersion(major, minor, revision) {
    this.major = major;
    this.minor = minor;
    this.revision = revision;
}

Rectangle.prototype = {
    containsPoint: function (p) {
        var w = this.width;
        var h = this.height;
        var x = this.x;
        var y = this.y;
        if (p.x < x || p.y < y) {
            return false;
        }

        w += x;
        h += y;
        return ((w < x || w > p.x) && (h < y || h > p.y));
    },

    intersects: function (r) {
        var tw = this.width;
        var th = this.height;
        var rw = r.width;
        var rh = r.height;
        if (rw <= 0 || rh <= 0 || tw <= 0 || th <= 0) {
            return false;
        }
        var tx = this.x;
        var ty = this.y;
        var rx = r.x;
        var ry = r.y;
        rw += rx;
        rh += ry;
        tw += tx;
        th += ty;
        //      overflow || intersect
        return ((rw < rx || rw > tx) &&
                (rh < ry || rh > ty) &&
                (tw < tx || tw > rx) &&
                (th < ty || th > ry));
    },

    containsRectangle: function (rect) {
        // code stolen from JDK
        var X = rect.x;
        var Y = rect.y;
        var W = rect.width;
        var H = rect.height;
        var w = this.width;
        var h = this.height;
        if ((w | h | W | H) < 0) {
            // At least one of the dimensions is negative...
            return false;
        }
        // Note: if any dimension is zero, tests below must return false...
        var x = this.x;
        var y = this.y;
        if (X < x || Y < y) {
            return false;
        }
        w += x;
        W += X;
        if (W <= X) {
            // X+W overflowed or W was zero, return false if...
            // either original w or W was zero or
            // x+w did not overflow or
            // the overflowed x+w is smaller than the overflowed X+W
            if (w >= x || W > w) return false;
        } else {
            // X+W did not overflow and W was not zero, return false if...
            // original w was zero or
            // x+w did not overflow and x+w is smaller than X+W
            if (w >= x && W > w) return false;
        }
        h += y;
        H += Y;
        if (H <= Y) {
            if (h >= y || H > h) return false;
        } else {
            if (h >= y && H > h) return false;
        }
        return true;
    }
};

var ALL_SHAPES = new Array();
var ALL_SYMBOLS = new Array();
var ALL_IMAGES = new Array();

function createImageFromBase64(data) {
    var image = createImage();
    image.loaded = false;
    image.onload = function() { image.loaded = true; } ;
    var url = 'data:image/png;base64,' + data;
	try {
		image.src = url;
	} catch(e) {
		// do nothing ...
	}
    image.url = url;
    ALL_IMAGES.push(image);
    return image;
}

function AImage(){
}

function createImage(){
    return false ? new AImage() : new Image();
}

function rememberShape(shapeName, shape)  {
    shape.name = shapeName;
    ALL_SHAPES.push(shape);
}

function rememberSymbol(symbol)  {
    ALL_SYMBOLS.push(symbol);
}

function getModelDataVersion() {
    return new ModelDataVersion(1, 0, 0);
}